﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Messagebox_Class;

namespace CryptPad
{
	public partial class GoTo : Form
	{
		CryptPad Crypt_Pad;

		public GoTo ()
		{
			InitializeComponent ();
			this.Font = SystemFonts.MessageBoxFont;
		}

		private void buttonGoTo_Click (object sender, EventArgs e)
		{
			int i;
			if (!Int32.TryParse (textBoxGoTo.Text, out i))
			{
				Messagebox.Show ("Invalid line number!");
				return;
			}
			i = Crypt_Pad.txtBody.GetFirstCharIndexFromLine (i-1);
			Crypt_Pad.SelectScroll (i, 0);
			this.Close ();
		}

		private void buttonCancel_Click (object sender, EventArgs e)
		{
			this.Close ();
		}

		private void GoTo_Load (object sender, EventArgs e)
		{
			Crypt_Pad = (CryptPad) this.Owner;
			int i = Crypt_Pad.txtBody.SelectionStart;
			i = 1+ Crypt_Pad.txtBody.GetLineFromCharIndex (i);
			textBoxGoTo.Text = i.ToString ();
		}
	}
}
